#pragma once
#include "lasp_daq.h"

/**
 * @brief The maximum number of devices that can be enumerated when calling
 * ulGetDaqDeviceInventory()
 */
const us MAX_ULDAQ_DEV_COUNT_PER_API = 100;

std::unique_ptr<Daq> createUlDaqDevice(const DeviceInfo &devinfo,
                                       const DaqConfiguration &config);

/**
 * @brief Fill device info list with UlDaq specific devices, if any.
 *
 * @param devinfolist Info list to append to.
 */
void fillUlDaqDeviceInfo(DeviceInfoList& devinfolist);
